

function Check()
{

  if (jtrim(document.myform.title.value) == "")
        {
        alert("请填写观点主题！");
		document.myform.title.focus();
        return (false);
        }

  if (jtrim(document.myform.Author.value) == "")
        {
        alert("昵称不能为空！");
		document.myform.Author.focus();
        return (false);
        }

  if (jtrim(document.myform.content.value) == "")
        {
        alert("话题描述不能为空！");
		document.myform.content.focus();
        return (false);
        }
  if (jtrim(document.myform.square.value) == "")
        {
        alert("正方不能为空！");
		document.myform.square.focus();
        return (false);
        }
  if (jtrim(document.myform.object.value) == "")
        {
        alert("反方不能为空！");
		document.myform.object.focus();
        return (false);
        }
  if (jtrim(document.myform.codestr.value) == "")
        {
        alert("验证码不能为空！");
		document.myform.codestr.focus();
        return (false);
        }
 return (true);
}

//文章发布
function ping_check()
{

  if (jtrim(document.form1.title.value) == "")
        {
        alert("请填写观点主题！");
		document.form1.title.focus();
        return (false);
        }

  if (jtrim(document.form1.Author.value) == "")
        {
        alert("昵称不能为空！");
		document.form1.Author.focus();
        return (false);
        }

  if (jtrim(document.form1.content.value) == "")
        {
        alert("话题描述不能为空！");
		document.form1.content.focus();
        return (false);
        }
  if (jtrim(document.form1.codestr.value) == "")
        {
        alert("验证码不能为空！");
		document.form1.codestr.focus();
        return (false);
        }
 return (true);
}

function CheckForm()
{



  if (jtrim(document.form1.Author.value) == "")
        {
        alert("昵称不能为空！");
		document.form1.Author.focus();
        return (false);
        }

  if (jtrim(document.form1.content.value) == "")
        {
        alert("话题描述不能为空！");
		document.form1.content.focus();
        return (false);
        }
  if (jtrim(document.form1.codestr.value) == "")
        {
        alert("验证码不能为空！");
		document.form1.codestr.focus();
        return (false);
        }
 return (true);
}

function jtrim(sstr){ //去掉头尾上的空格
	var astr=""; 
	var dstr=""; 
	var flag=0; 
	for(var i=0;i<sstr.length;i++){
	    if((sstr.charAt(i)!=' ')||(flag!=0)){
		   dstr+=sstr.charAt(i); 
		   flag=1; 
		} 
	} 
	flag=0; 
	for(i=dstr.length-1;i>=0;i--){
	    if((dstr.charAt(i)!=' ')||(flag!=0)){
		   astr+=dstr.charAt(i); 
		   flag=1; 
		} 
	} 
	dstr=""; 
	for(i=astr.length-1;i>=0;i--) dstr+=astr.charAt(i); 
	return dstr; 
}

var userAgent = navigator.userAgent.toLowerCase();
var is_opera = userAgent.indexOf('opera') != -1 && opera.version();
var is_moz = (navigator.product == 'Gecko') && userAgent.substr(userAgent.indexOf('firefox') + 8, 3);
var is_ie = (userAgent.indexOf('msie') != -1 && !is_opera) && userAgent.substr(userAgent.indexOf('msie') + 5, 3);
function $(id) {
	return document.getElementById(id);
}
	function setcopy(text, alertmsg){
	if(is_ie) {
		clipboardData.setData('Text', text);
		alert(alertmsg);
	} else if(prompt('Press Ctrl+C Copy to Clipboard', text)) {
		alert(alertmsg);
	}
}